Welcome to the Heavy Weather Publisher application

Welcome to the Heavy Weather Publisher application (Publisher), the essential tool for emailing and uploading the latest weather data received from the weather station to the Internet. The Publisher can perform multitasks by simultaneously uploading and emailing different weather data images to different servers and email addresses at any one time. Simply set an interval get online and the weather data is automatically uploaded or emailed at your chosen interval setting. Designed for easy use, the Publisher is completely at home for the web professional, weather enthusiasts and home users alike to bring you an added dimension to your daily weather forecasting.

How does the Publisher work?
The Publisher is used together with the latest version of the Heavy Weather Version 2.0 Beta Release (downloaded from the Heavy Weather website at http://www.heavyweather.info). The new Heavy Weather software reads the data from the weather station and creates a specific data file for the Publisher to email or upload weather data to an FTP Server in the form of a weather image.

Contents

Pull Down Menu

Using Tabs

How to create Weather Images

How to upload/email weather images

How to delete weather files

Useful information & tips

Legal Notices


Pull Down Menu

File

  • New
    Creates weather files in XML format. The data.xml file has been created as the default file in C:\HeavyWeather and contains 3 weather image examples.
  • Load
    To load a saved XML file
  • Save
    To save a newly created weather file in XML format
  • Save As
    Used to save weather files under a different name
  • Minimize
    Used to minimize the Publisher Window to your system tray or taskbar
  • Exit
    Used exit the Publisher

Image

  • New
    Used to create a new weather image in the XML weather file
  • Delete
    Used to delete a weather image in the XML weather file
  • Elements
    The following elements can be inserted into a new or existing weather image.
  • Weather Data (from the weather station)
    Time, Date, Indoor temperature, Outdoor temperature, Indoor humidity, Outdoor humidity, Relative air pressure, Absolute air pressure, Wind speed, Wind direction, Rainfall in past hour, Rainfall in past 24 hours, Total rainfall, Dew point and Wind chill factor
  • Weather Image
    This will insert the current weather forecasting image displayed from the weather station. Alternatively, select from other images in the C:\HeavyWeather\data or other directory.
  • Weather Tendency Image
    This will insert the current weather tendency image displayed from the weather station. Alternatively, select from other images in the C:\HeavyWeather\data or other directory.
  • Storm Warning Image
    This will insert the storm-warning image or alternatively, select from other images in the C:\HeavyWeather\data or other directory.
  • Weather Text
    This will insert the current weather text into your image
  • Weather Tendency Text
    This will insert the current weather tendency text into your image
  • Storm Warning Text
    This will insert the storm-warning text into your image
  • Text
    Insert text box to write the descriptions for your weather image
  • Image
    Select insert an image and the image box is inserted then open the required image in the in C:\HeavyWeather\data or alternative directory.
  • Lines
    Insert lines to create shapes and styles of your choice to design your weather image

Extras

Under Options users can change the following settings of the Publisher:

  • Language:
    Available in English, German and French languages.
  • Show help as tool tips:
    This activates the help auto popup for different parts of the Publisher
  • Weather data file name:
    By default the Publisher uses the 'currdat.lst' file (located in C:\HeavyWeather) from the Heavy Weather software that reads the current data from the weather station connected to the PC
  • Draw rectangle around selected element:
    When creating images it is easier to view the elements when a rectangle is drawn around it
  • Snap cursor to elements during move and resize:
    Snapping the cursor to elements during moving or resizing makes alignment easier for the user
  • Snapping offset:
    The snapping offset is used to increase or decrease the snapping cursor distances. The lesser the setting the more accurate the elements can be positioned on the image
  • Start HeavyWeatherPublisher automatically when the computer starts:
    Select to start the Publisher when the PC is switched on.
  • Show HeavyWeatherPublisher in system tray:
    When selected the Publisher icon will appear in your PC system tray when the Publisher Window is minimized.


Using Tabs

The Properties and Export tabs on the main Publisher window are available for the following usage:

Properties

  • Change the background colour of your image
  • Add a border and change around the image
  • Change the border width
  • Change the Weather file
  • Change the image size width and height
  • Select JPEG or PNG image format

Export

  • Select the direct or dialup connection
  • Upload or email image
  • Select the start time and dates of uploading or emailing
  • Select the export (emailing or uploading) interval
  • Import address from your mail address book (for emailing only)


How to create weather images

Creating weather images is very simple and with the Publisher the point to remember is to start from the background image and build upwards since images are placed in fixed layers (order of creation). For example, if an image is removed it will be replaced by the immediate image on the next layer up. Should the background image that you are using require changing then do this by opening another image file from the same active image (not by removing the image from that layer). An image that is removed cannot be replaced by inserting a new image into the same layer so be sure you want to remove it otherwise you may have to start over again!

To start with, there are 3 weather image examples created in the data.xml file with various image backgrounds and weather elements such as indoor humidity, outdoor temperatures, rainfall and others that are linked to the readings of the weather station and when the Publisher is opened this is the first file viewed.

To create a new weather image for uploading or emailing, follow these steps:

  1. After the Publisher main Window is opened and the first example image is displayed. Here select the 'Image' pull down and 'New' and the background template for the image will be created (the image size can be adjusted here in width by 60 to 400 pixels and in height by 50 to 400 pixels).

  2. Now from the Elements pull down, choose from the listed elements to insert into your weather image. In the example below we will firstly insert a background image, then with a weather image and finally with the outdoor temperature reading (use cursor to drag and move elements to desired positions)

  3. After completing the image simply fill in the FTP or Email information under the Export tab and activate (send). To preview the image through our specially created FTP http://www.heavyweathertest.info Publisher Server click on the Test button and the weather image is automatically viewed through your Internet browser to show the latest weather readings from the inserted elements.

Notes
Using a suitable graphics application such as Photo Editor, resize a personal image you would like to use for the background to fit the Publisher image Window.


How to upload/email weather images

To upload or email a weather image, simply click on the Export tab of the main Publisher Window and enter the data in spaces provided for the FTP or Email fields as follows (listed here alphabetically):

  • Apply button:
    When all the spaces are filled in, click the 'Apply' button to save the changes before uploading or emailing
  • Activate:
    Click on the 'Active' box to email or to upload the weather image to your FTP server
  • Direct Connection or Dial Up Connection:
    Select the connection appropriate to you
  • Email (email):
    Enter the email address of the user
  • Email subject (email):
    Enter the subject name for your email
  • Export Interval:
    Enter the interval (in minutes) at which the image is to be uploaded or emailed. Once set, the image will be continuously sent at the selected interval. If dialup connection is used, the Publisher will automatically dial up and send the image at each set interval time (disconnects after each image is sent).
  • File Name:
    Enter the file name that you have set at the destination path with the suffix .jpg or .png
  • File Path:
    Enter the file path of the folder where you have the created the image to for example 'mywebsite_html'
  • First Start Date:
    Set the date which the image will start sending from
  • First Start Time:
    Set the time which the image will start sending from
  • FTP or Email:
    Select FTP or Email as your choice of sending
  • Name (email):
    This is how you want your name to appear in the recipient(s) email
  • Password:
    For an FTP Server your password assigned by your FTP service provider. For emailing, if your SMPT Server uses a password then this must be entered here otherwise weather emails cannot be sent.
  • Recipient List (email):
    Enter all email recipients addresses here for those who will be sent the email. All addresses must be separated by a comma or semicolon. Alternatively import the recipients from your email address book
  • Server Name (FTP):
    Enter your FTP server name here for example ftp.abc-123.com
  • SMPT Server (Emailing):
    You can get the server name from your Internet Service Provider (ISP) or Local Area Network (LAN) administrator or check your email server settings
  • Test button:
    Using this feature, users may preview their newly created weather image on the Heavy Weather Publisher FTP server
  • Text (email):
    This is the main body of the email where the message is typed.
  • User Name:
    Enter your username assigned by your FTP service provider. For emailing, if you don't know your username then check your email settings.


How to delete weather images

From the main box between the pull down menus and the weather image:

  1. Select the image to be deleted by clicking on the name
  2. Select 'Image' from the main pull down menu and chose 'Delete', then confirm you want to delete the image


Useful Information & Tips

  • The Publisher Server will automatically delete uploaded weather images to reduce data buildup so the server can run at optimum performance. It is useful to save your weather images to prevent them from being deleted.
  • If you are using a dialup connection, weather data will take longer to upload or email compared to using direct connection. When the set date and time for uploading or emailing is reached, the Publisher will automatically establish dialup connection and upload or send emails to the selected server or email recipients. Once the weather data is transferred, the Publisher will automatically disconnect from the Internet and then dialup again at reaching the next interval and so forth.
  • When the Heavy Weather Publisher user exports an image to a list of recipients, the created E-Mail is sent individually and not by way of c/c in order to keep the privacy of each recipient and the the sender. Therefore, the length of each export depends on the type of the Internet connection, the number of recipients and the size of the exported image. The export interval for an email export can not be set below a minimum of 60 minutes in order to avoid misuse. If the user wishes to test an image, it is still possible to deactivate and re-activate such an image, the first export after manual activation is always immediate.
  • The http://www.heavyweathertest.info Publisher Server has been set up to allow users to preview their weather image on an FTP Server and also to check that the software is operating correctly with Internet connection. To upload the weather image click on the Test button in the Publisher and the weather image is automatically viewed through your Internet browser to show the latest weather information from Weather Station.
  • To use the Test feature on the Publisher Server, online connection must first be established.
  • If weather data from the weather station cannot be displayed in the Publisher, then check that you have downloaded the latest Heavy Weather Version 2.0 Beta Release from the Heavy Weather homepage http://www.heavyweather.info because this latest version creates the 'currdat.lst' file required for the Publisher to read the weather data from the weather station. In the old version this file does not exist and will not work with the Publisher software.
  • Minimum browser requirements: Internet Explorer 4.0 and up
  • The Publisher must be setup in C:\HeavyWeather to read the 'currdat.lst' file created by the latest Heavy Weather software.
  • Ensure that the selected date and time is reached if you want immediate uploading to the FTP server or emailing otherwise the upload and email will not take place until the selected start date and time is reached.
  • For the latest news and software updates, check the Heavy Weather website on http://www.heavyweather.info


Legal Notices

Copyright
© La Crosse Technology USA. All rights reserved.

  • We reserve the right to delete or change any image whether or not uploaded onto the La Crosse Technology server by a user of the Heavy Weather and the Heavy Weather Publisher software products.
  • The Heavy Weather and the Heavy Weather Publisher software products are protected by copyright laws and international copyright treaties and well as other intellectual property laws and treaties.
  • The Heavy Weather and the Heavy Weather Publisher software products are licensed for use with the La Crosse Technology Wireless Weather Station only.
  • The Heavy Weather and the Heavy Weather Publisher software products may not be separated for use on any other product not authorized by La Crosse Technology
  • La Crosse Technology may provide you with support services related to the Heavy Weather and the Heavy Weather Publisher software products.
  • All title and copyrights in and to the Heavy Weather and the Heavy Weather Publisher software products (including but not limited to any images, photographs, animations, video, audio, music and text incorporated into the Heavy Weather and the Heavy Weather Publisher software products), the accompanying printed materials, and any copies of the Heavy Weather and the Heavy Weather Publisher software products are owned by La Crosse Technology or its suppliers
  • You may not copy the printed materials accompanying the Heavy Weather and the Heavy Weather Publisher software products.